using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.IO;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Mhp.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x17,"AIT")]
    class SimpleApplicationBoundaryDescriptor : TsDescriptor
    {
        public SimpleApplicationBoundaryDescriptor(byte[] buffer)
        {
            MemoryStream ms = new MemoryStream(buffer);
            byte boundaryExtensionCount = ms.ReadUInt8();
            BoundaryExtensions = new string[boundaryExtensionCount];
            for (int i = 0; i < boundaryExtensionCount; i++)
            {
                byte boundaryExtensionLength = ms.ReadUInt8();
                BoundaryExtensions[i] = Encoding.ASCII.GetString(ms.ReadBytes(boundaryExtensionLength));
            }
            Valid = true;
        }

        public string[] BoundaryExtensions { get; }
    }
}
